Subject: Re: [PATCHv3 net] bonding: assign random address if device address is same as bond

From: Jay Vosburgh <[email-masked]>
Date: Fri, 25 Apr 2025 20:51:27 -0700

Jakub Kicinski <[email-masked]> wrote:

>On Thu, 24 Apr 2025 16:44:52 -0700 Jay Vosburgh wrote:
>> 	The code flow is a little clunky in the "if (situation one) else
>> if (situation two) else goto skip_mac_set" bit, but I don't really have
>> a better suggestion that isn't clunky in some other way.
>> 
>> 	This implementation does keep the already complicated failover
>> logic from becoming more complicated for this corner case.
>
>Any thoughts on whether we should route this as a fix or as a -next
>improvement? The commit under Fixes is almost old enough to drink.

	I'm fine with -next, the hardware this option was originally
intended for was uncommon even then (IBM POWER ehea).  I'm not aware of
any recent-ish devices with the issue this was solving (that multiple
ports of the NIC programmed with the same MAC made the hardware cranky),
so it's more of a correctness exercise in my mind.

	-J

---
	-Jay Vosburgh, [email-masked]